Package org.eclipse.jface.text.templates

# Class ContextTypeRegistry

java.lang.Object
org.eclipse.text.templates.ContextTypeRegistry
org.eclipse.jface.text.templates.ContextTypeRegistry

Direct Known Subclasses:
  `ContributionContextTypeRegistry`

@Deprecated public class ContextTypeRegistry extends ContextTypeRegistry
Deprecated.
See `ContextTypeRegistry`
A registry for context types. Editor implementors will usually instantiate a registry and configure the context types available in their editor.

In order to pick up templates contributed using the `org.eclipse.ui.editors.templates` extension point, use a `ContributionContextTypeRegistry`.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`ContextTypeRegistry()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addContextType(TemplateContextType contextType)`
Deprecated.
`Iterator<TemplateContextType>`
`contextTypes()`
Deprecated.
`TemplateContextType`
`getContextType(String id)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextTypeRegistry

public ContextTypeRegistry()
Deprecated.

## Method Details

### addContextType

@Deprecated public void addContextType(TemplateContextType contextType)
Deprecated.
Description copied from class: `ContextTypeRegistry`
Adds a context type to the registry. If there already is a context type with the same ID registered, it is replaced.

Overrides:
  `addContextType` in class `ContextTypeRegistry`
Parameters:
  `contextType` - the context type to add

### getContextType

@Deprecated public TemplateContextType getContextType(String id)
Deprecated.
Description copied from class: `ContextTypeRegistry`
Returns the context type if the id is valid, `null` otherwise.

Overrides:
  `getContextType` in class `ContextTypeRegistry`
Parameters:
  `id` - the id of the context type to retrieve
Returns:
  the context type if `name` is valid, `null` otherwise

### contextTypes

@Deprecated public Iterator<TemplateContextType> contextTypes()
Deprecated.
Description copied from class: `ContextTypeRegistry`
Returns an iterator over all registered context types.

Overrides:
  `contextTypes` in class `ContextTypeRegistry`
Returns:
  an iterator over all registered context types